Overview
PUT
/chat/chat-participants/{id}chatUpdate chat_participants
Replace a record in chat-participants by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- ecosystemIdoptionalstring
- chatIdoptionalstring
- participantIdoptionalstring
- typeoptionalstring
- roleoptionalstring
- stateoptionalstring
- joinedAtoptionalstring
- stateChangedAtoptionalstring
- contactIdoptionalstring?
- lastReadMessageIdoptionalstring?
Example
{
"ecosystemId": "string",
"chatId": "string",
"participantId": "string",
"type": "string",
"role": "string",
"state": "string",
"joinedAt": "string",
"stateChangedAt": "string",
"contactId": "string",
"lastReadMessageId": "string"
}Responses
200
chat_participants
- idstring
- ecosystemIdstring
- chatIdstring
- participantIdstring
- typestring
- rolestring
- statestring
- joinedAtstring
- stateChangedAtstring
- contactIdstring?
- lastReadMessageIdstring?
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"chatId": "string",
"participantId": "string",
"type": "string",
"role": "string",
"state": "string",
"joinedAt": "string",
"stateChangedAt": "string",
"contactId": "string",
"lastReadMessageId": "string",
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/chat/chat-participants/{id}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ecosystemId": "string",
"chatId": "string",
"participantId": "string",
"type": "string",
"role": "string",
"state": "string",
"joinedAt": "string",
"stateChangedAt": "string",
"contactId": "string",
"lastReadMessageId": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/chat/chat-participants/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"ecosystemId\": \"string\",\n \"chatId\": \"string\",\n \"participantId\": \"string\",\n \"type\": \"string\",\n \"role\": \"string\",\n \"state\": \"string\",\n \"joinedAt\": \"string\",\n \"stateChangedAt\": \"string\",\n \"contactId\": \"string\",\n \"lastReadMessageId\": \"string\"\n}",
});
const data = await res.json();